### Virtual Method

# RB TransferTarget build_dest_uri

#### Declaration [src]

    char*
    build_dest_uri (
      RBTransferTarget* target,
      RhythmDBEntry* entry,
      const char* media_type,
      const char* extension
    )

#### Description [src]

Constructs a URI to use as the destination for a transfer or transcoding operation. The URI may be on the device itself, if the device is mounted into the normal filesystem or through gvfs, or it may be a temporary location used to store the file before uploading it to the device.

The destination URI should conform to the device’s normal URI format, and should use the provided extension instead of the extension from the source entry.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry` being transferred.

  The data is owned by the caller of the method.

`media_type`

  Type: `const char*`

  Destination media type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extension`

  Type: `const char*`

  Extension associated with destination media type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Constructed URI.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.